# pywinauto

**控件识别与操作**：Pywinauto 可以识别大多数标准的 Windows 控件，包括按钮、文本框、列表框等，并执行点击、输入等操作。

**支持多种 GUI 框架**：Pywinauto 支持不同的 GUI 框架，包括 Win32 和 Windows UI Automation (UIA)，使其适用于广泛的应用程序。

**基于坐标和基于对象的操作**：除了基于控件对象的操作，Pywinauto 也支持基于屏幕坐标的操作，可以用于那些控件识别不充分的情况。

**录制与回放**：Pywinauto 提供了一个录制工具，可以记录用户在应用程序中的操作，并生成相应的 Python 脚本，便于回放和自动化。


```
pip install pywinauto


from pywinauto.application import Application

# 启动应用程序
app = Application(backend="win32").start("notepad.exe")

# 连接到应用程序窗口
dlg = app.UntitledNotepad

# 向文本框中输入文本
dlg.Edit.type_keys("Hello, World!")

# 点击“文件”菜单
dlg.menu_select("File -> SaveAs")

# 在保存对话框中输入文件名
app.SaveAs.Edit.type_keys("example.txt")

# 点击保存按钮
app.SaveAs.Save.click()

# 关闭记事本
dlg.close()

# 如果弹出保存对话框，选择不保存
dlg.DontSave.click()

```

## Reference

- [pywinauto/pywinauto](https://github.com/pywinauto/pywinauto)

